## xdoclet.modules.wsee
Class WsdlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.wsee.WsdlSubTask

All Implemented Interfaces:
  Serializable

public class WsdlSubTask
extends XmlSubTask

Subtask that generates a service.wsdl service descriptor.

Version:
  $Revision: 1.2 $
Author:
  Christoph G. Jung (christoph.jung@infor.de), Jason Essington (jasone@greenrivercomputing.com)
See Also:
  Serialized Form
ant.element
  display-name="service.wsdl" name="wsdl" parent="xdoclet.modules.wsee.WseeDocletTask"
created
  23.12.03

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`static String` `DEFAULT_WSDL_FILE_PATTERN`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WsdlSubTask()` sets template

Method Summary
`protected void` `engineStarted()` notify start of task
`void` `execute()` run subtask
`protected String` `getGeneratedFileName(xjavadoc.XClass clazz)` Returns class name for the generated file.
`boolean` `isPrefixWithPackageStructure()` Gets the PrefixWithPackageStructure attribute of the TemplateSubTask object
`protected boolean` `matchesGenerationRules(xjavadoc.XClass clazz)` Describe what the method does
`void` `setPrefixWithPackageStructure(boolean prefixWithPackageStructure)` Indicates whether or not to prefix with package structure.
`void` `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, javaFile, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_WSDL_FILE_PATTERN

    public static final String DEFAULT_WSDL_FILE_PATTERN

See Also:
  Constant Field Values

Constructor Detail

### WsdlSubTask

    public WsdlSubTask()

  sets template

Method Detail

### isPrefixWithPackageStructure

    public boolean isPrefixWithPackageStructure()

  Gets the PrefixWithPackageStructure attribute of the TemplateSubTask object

  Overrides:
    `isPrefixWithPackageStructure` in class `TemplateSubTask`
  Returns:
    The PrefixWithPackageStructure value

### setPrefixWithPackageStructure

    public void setPrefixWithPackageStructure(boolean prefixWithPackageStructure)

  Indicates whether or not to prefix with package structure.

  Overrides:
    `setPrefixWithPackageStructure` in class `TemplateSubTask`
  Parameters:
    `prefixWithPackageStructure` - The new PrefixWithPackageStructure value

### execute

    public void execute()
                 throws XDocletException

  run subtask

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Description copied from class: `TemplateSubTask`
  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Returns class name for the generated file. {0} substituted by wsee.port-component name.

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The GeneratedClassName value
  Throws:
    `XDocletException` - Description of Exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  notify start of task

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### matchesGenerationRules

    protected boolean matchesGenerationRules(xjavadoc.XClass clazz)
                                      throws XDocletException

  Describe what the method does

  Overrides:
    `matchesGenerationRules` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/